package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import springfox.documentation.annotations.ApiIgnore;

/**
 * 企业信息对象 sys_company
 *
 * @author lyp
 * @date 2023-08-30
 */
@ApiModel("企业信息实体")
public class Company extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @ApiModelProperty("主键 int")
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    @ApiModelProperty("企业名称")
    private String companyName;

    /** 企业编码 */
    @Excel(name = "企业编码")
    @ApiModelProperty("企业编码")
    private String companyCode;

    /** 税码/社会信用代码 */
    @Excel(name = "税码/社会信用代码")
    @ApiModelProperty("税码/社会信用代码")
    private String socialCreditCode;

    /** 手机号 */
    @Excel(name = "手机号")
    @ApiModelProperty("手机号")
    private String mobilePhone;

    /** 电话号码 */
    @Excel(name = "电话号码")
    @ApiModelProperty("电话号码")
    private String telephone;

    /** 地址 */
    @Excel(name = "地址")
    @ApiModelProperty("地址")
    private String address;

    /** 入住时间 */
    @ApiModelProperty("入住日期 yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入住时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 授权结束时间 */
    @ApiModelProperty("授权结束日期 yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "授权结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 备注 */
    @Excel(name = "备注")
    @ApiModelProperty("备注")
    private String remarkInfo;

    /** 删除标识：0正常，1已删除 */
    @ApiModelProperty(hidden = true)
    @Excel(name = "删除标识：0正常，1已删除")
    private Long isDel;

    /** 创建时间 */
    @ApiModelProperty(hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 创建人ID */
    @ApiModelProperty(hidden = true)
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 更新时间 */
    @ApiModelProperty(hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /** 更新人 */
    @ApiModelProperty(hidden = true)
    @Excel(name = "更新人")
    private Long updateUserId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public void setCompanyCode(String companyCode)
    {
        this.companyCode = companyCode;
    }

    public String getCompanyCode()
    {
        return companyCode;
    }
    public void setSocialCreditCode(String socialCreditCode)
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode()
    {
        return socialCreditCode;
    }
    public void setMobilePhone(String mobilePhone)
    {
        this.mobilePhone = mobilePhone;
    }

    public String getMobilePhone()
    {
        return mobilePhone;
    }
    public void setTelephone(String telephone)
    {
        this.telephone = telephone;
    }

    public String getTelephone()
    {
        return telephone;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }
    public void setRemarkInfo(String remarkInfo)
    {
        this.remarkInfo = remarkInfo;
    }

    public String getRemarkInfo()
    {
        return remarkInfo;
    }
    public void setIsDel(Long isDel)
    {
        this.isDel = isDel;
    }

    public Long getIsDel()
    {
        return isDel;
    }
    public void setCreateDate(Date createDate)
    {
        this.createDate = createDate;
    }

    public Date getCreateDate()
    {
        return createDate;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyName", getCompanyName())
            .append("companyCode", getCompanyCode())
            .append("socialCreditCode", getSocialCreditCode())
            .append("mobilePhone", getMobilePhone())
            .append("telephone", getTelephone())
            .append("address", getAddress())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("remarkInfo", getRemarkInfo())
            .append("isDel", getIsDel())
            .append("createDate", getCreateDate())
            .append("createUserId", getCreateUserId())
            .append("updateDate", getUpdateDate())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
